groovy.util

## Class ObjectGraphBuilder.ReflectionClassNameResolver

- java.lang.Object
- - groovy.util.ObjectGraphBuilder.ReflectionClassNameResolver

- All Implemented Interfaces:
    ObjectGraphBuilder.ClassNameResolver
  Enclosing class:
    ObjectGraphBuilder

      public class ObjectGraphBuilder.ReflectionClassNameResolver
      extends java.lang.Object
      implements ObjectGraphBuilder.ClassNameResolver

  Build objects using reflection to resolve class names.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectGraphBuilder.ReflectionClassNameResolver(java.lang.String root)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `resolveClassname(java.lang.String classname)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectGraphBuilder.ReflectionClassNameResolver

          public ObjectGraphBuilder.ReflectionClassNameResolver(java.lang.String root)

      Parameters:
        `root` - package where the graph root class is located

  - ### Method Detail

    - #### resolveClassname

          public java.lang.String resolveClassname(java.lang.String classname)

      Specified by:
        `resolveClassname` in interface `ObjectGraphBuilder.ClassNameResolver`
      Parameters:
        `classname` - the node name as written on the building code